[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TAcceptValueEvent

Specifies an event handler signalled when a calculator dialog has been used to accept or reject a value.

## Declaration

Source position: editbtn.pas line 850

`type TAcceptValueEvent = procedure(`
`Sender: TObject;`
`var AValue: Double;`
`var Accept: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object instance (TCalcEdit) for the event notification.
`AValue` |  | Double type with the value returned from the dialog for a calculator dialog.
`Accept` |  | Returns True if the OK button was used to accept the value on the dialog. Otherwise, the return value is False.

## Description

TAcceptValueEvent is the type used for the OnAcceptValue property in TCalcEdit. Implement and assign a routine using the signature for the event handler to respond to selection of a value using a calculator dialog. Use the AValue and Accept variable arguments to determine the value and action returned from the dialog instance.

## See also

TCalcEdit.OnAcceptValue |  | OnAcceptValue - event handler for accepting the result of the calculation.